Bug 1122010 - [RFE] Host Self-Health Log: network connectivity information
Summary: [RFE] Host Self-Health Log: network connectivity information
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: vdsm
Version: 3.4.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
: 3.4.2
Assignee: Dan Kenigsberg
QA Contact: Michael Burman
URL:
Whiteboard: network
Depends On: 1111234
Blocks: 1123858
TreeView+ depends on / blocked
 
Reported: 2014-07-22 11:00 UTC by rhev-integ
Modified: 2016-02-10 19:52 UTC (History)
14 users (show)

Fixed In Version: vdsm-4.14.13-2.el6ev
Doc Type: Enhancement
Doc Text:
When a Red Hat Enterprise Virtualization Hypervisor is disconnected from the network, resources become unavailable, virtual machines lose connectivity, and in some cases, the host is fenced and data is lost. Previously, there was no way to track when and why this happened. Now, a new log at /var/log/vdsm/connectivity.log allows administrators to track network connectivity. The log tracks the reported speed and duplex of host network interfaces, and when Vdsm's client (most commonly, Engine) has contacted Vdsm.
Clone Of: 1111234
Environment:
Last Closed: 2014-09-04 12:59:45 UTC
oVirt Team: Network
nyechiel: Triaged+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:1152 normal SHIPPED_LIVE vdsm 3.4.2 bug fix and enhancement update 2014-09-04 16:58:31 UTC
oVirt gerrit 29472 master MERGED introduce connectivity log Never
oVirt gerrit 29646 ovirt-3.5 MERGED introduce connectivity log Never
oVirt gerrit 29690 ovirt-3.4 MERGED introduce connectivity log Never
oVirt gerrit 29724 ovirt-3.5 MERGED connectivty log: more readable changes Never
oVirt gerrit 29725 ovirt-3.4 MERGED connectivty log: more readable changes Never
oVirt gerrit 30225 master MERGED connectivty log: log duplex state Never
oVirt gerrit 30226 master MERGED connectivity log: report if Engine has been seen recently Never
oVirt gerrit 30227 master MERGED connectivity log: report dropped devices Never
oVirt gerrit 30522 ovirt-3.5 MERGED connectivty log: log duplex state Never
oVirt gerrit 30523 ovirt-3.5 MERGED connectivity log: report if Engine has been seen recently Never
oVirt gerrit 30524 ovirt-3.5 MERGED connectivity log: report dropped devices Never
oVirt gerrit 30573 ovirt-3.4 MERGED connectivity log: log duplex state Never
oVirt gerrit 30574 ovirt-3.4 MERGED connectivity log: report if Engine has been seen recently Never
oVirt gerrit 30575 ovirt-3.4 MERGED connectivity log: report dropped devices Never
oVirt gerrit 30576 ovirt-3.4 MERGED connectivity log: add to spec with proper ownership Never
oVirt gerrit 31656 ovirt-3.4 MERGED virt: keep on sampling before /var/run/vdsm/client.log exists Never

Comment 2 Michael Burman 2014-08-11 11:59:53 UTC
Verified on-  Red Hat Enterprise Virtualization Manager Version: 3.4.2-0.1.el6ev 

- When stopping engine service, the connectivity.log reports  "recent_client:False" after 10-30 sec, and that means Engine(client) disconnected from the host(Vdsm). 
- When starting engine service, the connectivity.log reports "recent_client:True"
after 10-30 sec, and that means Engine(client) connected to host(Vdsm).

- Also connectivity.log reports changes in interface operational state, speed and duplex.

Comment 3 Dan Kenigsberg 2014-08-19 16:06:11 UTC
Moving back to MODIFIED as a new patch must be included.

Comment 4 Michael Burman 2014-08-24 07:17:55 UTC
Verified on - vdsm-4.14.13-2.el6ev.x86_64

Comment 7 errata-xmlrpc 2014-09-04 12:59:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2014-1152.html


Note You need to log in before you can comment on or make changes to this bug.